package com.chenyang.druid.sql.dialect.postgresql.ast.expr;

import com.chenyang.druid.sql.SQLUtils;
import com.chenyang.druid.sql.ast.SQLExprImpl;
import com.chenyang.druid.sql.dialect.postgresql.visitor.PGASTVisitor;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;

public abstract class PGExprImpl extends SQLExprImpl implements PGExpr {
   public abstract void accept0(PGASTVisitor var1);

   protected void accept0(SQLASTVisitor visitor) {
      this.accept0((PGASTVisitor)visitor);
   }

   public String toString() {
      return SQLUtils.toPGString(this);
   }
}
